"""Standard error classes
"""
class ConfigError(Exception):
    """Standard error for templating
    """


class FileNotFound(ConfigError):
    """Template file is not found
    """


class TemplateError(ConfigError):
    """Templating generate an error
    """


class TemplateDisabled(TemplateError):
    """Template is disabled.
    """


class SpaceObjShallNotBeUpdated(Exception):
    """Specific behavior in case of the presence or not
    of an object in the space object
    """


class DictConsistencyError(Exception):
    """It's not only that the Creole XML is valid against the Creole DTD
    it's that it is not consistent.
    """
    def __init__(self, msg, errno):
        super().__init__(msg)
        self.errno = errno
