"""Redefine Tiramisu object
"""
try:
    from tiramisu3 import DynOptionDescription
except ModuleNotFoundError:
    from tiramisu import DynOptionDescription
from .utils import normalize_family


class ConvertDynOptionDescription(DynOptionDescription):
    """Suffix could be an integer, we should convert it in str
    Suffix could also contain invalid character, so we should "normalize" it
    """
    def convert_suffix_to_path(self, suffix):
        if not isinstance(suffix, str):
            suffix = str(suffix)
        return normalize_family(suffix)
