"""
utilitaires créole
"""
from typing import List
from unicodedata import normalize, combining

from importlib.machinery import SourceFileLoader
from importlib.util import spec_from_loader, module_from_spec


def normalize_family(family_name: str) -> str:
    """replace space, accent, uppercase, ... by valid character
    """
    family_name = family_name.replace('-', '_').replace(' ', '_').replace('.', '_')
    nfkd_form = normalize('NFKD', family_name)
    family_name = ''.join([c for c in nfkd_form if not combining(c)])
    return family_name.lower()


def load_modules(eosfunc_file) -> List[str]:
    """list all functions in eosfunc
    """
    loader = SourceFileLoader('eosfunc', eosfunc_file)
    spec = spec_from_loader(loader.name, loader)
    eosfunc = module_from_spec(spec)
    loader.exec_module(eosfunc)
    return eosfunc
